#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h>
#endif

#define AKEY_PIN A0 //KEY pin
#define PIXEL_PIN 6 //LED pin
#define PIXEL_COUNT 4  //LED count

Adafruit_NeoPixel strip(PIXEL_COUNT, PIXEL_PIN, NEO_GRB + NEO_KHZ800);

boolean oldState = LOW;
int mode = 0;
int brightness = 10;
int wait = 1;
int akeyvalue = 1023;

void setup() {
  strip.begin(); // NeoPixel strip
  strip.setBrightness(brightness);
  strip.show();  // Initialize all pixels to 'off'
  //  SerialUSB.begin(9600);
  //  SerialUSB.println("LTST_A683+QT1040");
}

void loop() {
  akeyvalue = analogRead(AKEY_PIN);
  //QT1
  if (akeyvalue >= 550 && akeyvalue <= 650) {
    strip.setPixelColor(0, 255, 0, 0);
    strip.show();
    delay(wait);
  }
  //QT2
  if (akeyvalue >= 350 && akeyvalue <= 450) {
    strip.setPixelColor(1, 0, 255, 0);
    strip.show();
    delay(wait);
  }
  //QT3
  if (akeyvalue >= 150 && akeyvalue <= 250) {
    strip.setPixelColor(2, 0, 0, 255);
    strip.show();
    delay(wait);
  }
  //QT4
  if (akeyvalue >= 0 && akeyvalue <= 50) {
    strip.setPixelColor(0, 0, 0, 0);
    strip.setPixelColor(1, 0, 0, 0);
    strip.setPixelColor(2, 0, 0, 0);
    strip.setPixelColor(3, 255, 255, 255);
    strip.show();
    delay(wait);
    strip.setPixelColor(3, 0, 0, 0);
    strip.show();
    delay(wait);
  }
}
